Package: org.gmetrics.result

## [Groovy] Class MetricResultBuilder

- org.gmetrics.result.MetricResultBuilder

- A Builder for MetricResult objects.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Metric` | `metric`
    `MetricLevel` | `metricLevel`
    `int` | `scale`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MetricResult` | `createAggregateMetricResult(Collection<MetricResult> children, Integer lineNumber, Map<String, Object> overrideValues = null)` Calculate the aggregate metric results for the specified child metric results.
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### Metric metric

    - #### MetricLevel metricLevel

    - #### int scale

  - ### Method Detail

    - #### MetricResult createAggregateMetricResult(Collection<MetricResult> children, Integer lineNumber, Map<String, Object> overrideValues = null)

      Calculate the aggregate metric results for the specified child metric results. The metric and metricLevel properties of this object must be set before calling this method.

      Parameters:
        `children` - - the optional collection of results from children
        `lineNumber` - - the line number for the source element (AST) that triggered this metric result; may be null
        `overrideValues` - - the optional Map of functionName:resultValue to specify override values for the specified functions; may be null or empty to specify no predefined values
      Returns:
        a MetricResult for the calculated values

    - #### String toString()